## org.irisa.genouest.logol.utils.model
Class ViewNode

    java.lang.Object
      org.irisa.genouest.logol.utils.model.AbstractNode
          org.irisa.genouest.logol.utils.model.ViewNode

All Implemented Interfaces:
  LogolInterfaceNode

    public class ViewNode

extends AbstractNode
implements LogolInterfaceNode

Convert a view node to a logol view

Author:
  osallou History 28/07/09 O. Sallou Fix1397 Add support for negative constraint on views

Field Summary

Fields inherited from class org.irisa.genouest.logol.utils.model.AbstractNode
`terminals`

Constructor Summary
`ViewNode()`

Method Summary
`java.lang.String` `getGlobalInfo(org.w3c.dom.Node startNode)` Gets information of a group of nodes, used for views or repeats for example.
`java.lang.String` `getNodeGrammar(org.w3c.dom.Node startNode)` Get the logol grammar for the node
`boolean` `isNegative(org.w3c.dom.Node startNode)` Checks if view has a negative content constraint
`void` `update(org.w3c.dom.Node item, org.w3c.dom.Node matchNode)`

Methods inherited from class org.irisa.genouest.logol.utils.model.AbstractNode
`addAttributes, doOverlap, getTerminals, isShowComments, setShowComments, setTerminals`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.irisa.genouest.logol.utils.model.LogolInterfaceNode
`doOverlap, setShowComments, setTerminals`

Constructor Detail

### ViewNode

    public ViewNode()

Method Detail

### isNegative

    public boolean isNegative(org.w3c.dom.Node startNode)

  Checks if view has a negative content constraint

  Parameters:
    `Node` - node to analyse
  Returns:
    true if constraint is present

### getGlobalInfo

    public java.lang.String getGlobalInfo(org.w3c.dom.Node startNode)
                                   throws ModelDefinitionException

  Description copied from interface: `LogolInterfaceNode`
  Gets information of a group of nodes, used for views or repeats for example.

  Specified by:
    `getGlobalInfo` in interface `LogolInterfaceNode`
  Parameters:
    `startNode` - current node to convert
  Returns:
    String logol representation
  Throws:
    `ModelDefinitionException`

### getNodeGrammar

    public java.lang.String getNodeGrammar(org.w3c.dom.Node startNode)

  Description copied from interface: `LogolInterfaceNode`
  Get the logol grammar for the node

  Specified by:
    `getNodeGrammar` in interface `LogolInterfaceNode`
  Parameters:
    `startNode` - Node to convert
  Returns:
    String logol representation

### update

    public void update(org.w3c.dom.Node item,
                       org.w3c.dom.Node matchNode)

  Specified by:
    `update` in interface `LogolInterfaceNode`